%global modname dbusmock

Name:             python-%{modname}
Version:          0.34.0
Release:          1.20241221082423952113.pr228.1.g7a83c3a%{?dist}
Summary:          Mock D-Bus objects

License:          LGPL-3.0-or-later
URL:              https://pypi.python.org/pypi/python-dbusmock
Source0:          python_dbusmock-0.34.0.post1+g7a83c3a.tar.gz

BuildArch:        noarch
BuildRequires:    git
BuildRequires:    python3-dbus
BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
BuildRequires:    python3-gobject
BuildRequires:    python3-pytest
BuildRequires:    dbus-x11
BuildRequires:    upower

%global _description\
With this program/Python library you can easily create mock objects on\
D-Bus. This is useful for writing tests for software which talks to\
D-Bus services such as upower, systemd, ConsoleKit, gnome-session or\
others, and it is hard (or impossible without root privileges) to set\
the state of the real services to what you expect in your tests.

%description %_description

%package -n python3-dbusmock
Summary: %summary (Python3)
Requires:         python3-dbus, python3-gobject, dbus-x11
%description -n python3-dbusmock %_description

%prep
%autosetup -n python_dbusmock-0.34.0.post1+g7a83c3a
rm -rf python-%{modname}.egg-info


%build
%py3_build

%install
%py3_install

%check
%{__python3} -m unittest -v

%files -n python3-dbusmock
%doc README.md COPYING
%{python3_sitelib}/*%{modname}*

%changelog
* Sat Dec 21 2024 Packit <hello@packit.dev> - 0.34.0-1.20241221082423952113.pr228.1.g7a83c3a
- spec: Adjust Source URL to PEP-625 tarball name (Martin Pitt)
